Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task
Class HumanTaskConfigurator

    java.lang.Object
      org.jbpm.services.task.HumanTaskConfigurator

    public class HumanTaskConfigurator

extends Object

Task service configurator that provides fluent API approach to building `TaskService` instances. Most of the attributes have their defaults but there is on that must be explicitly set

- entityManagerFactory

Important to notice is defaults for:

- transactionManager - uses local transactions by default
- userGroupCallback - uses MvelUserGroupCallbackImpl by default

Before returning the instance of `TaskService` it will be wrapped with proxy instance to provide transaction handling capabilities - begin and commit/rollback to simplify usage.

Constructor Summary
`HumanTaskConfigurator()`

Method Summary
`HumanTaskConfigurator` | `adminService(org.kie.internal.task.api.TaskAdminService adminService)`
`protected void` | `configureLifeCycleManager(JbpmServicesPersistenceManager pm, org.kie.internal.task.api.TaskIdentityService identityService, org.kie.internal.task.api.TaskQueryService queryService, org.kie.internal.task.api.TaskContentService contentService)`
`protected void` | `configurePersistenceManager()`
`protected void` | `configureTaskAdminService(JbpmServicesPersistenceManager pm)`
`protected void` | `configureTaskContentService(JbpmServicesPersistenceManager pm)`
`protected void` | `configureTaskDeadlinesService(JbpmServicesPersistenceManager pm)`
`protected void` | `configureTaskIdentityService(JbpmServicesPersistenceManager pm)`
`protected void` | `configureTaskInstanceService(JbpmServicesPersistenceManager pm, org.kie.internal.task.api.TaskQueryService queryService)`
`protected void` | `configureTaskQueryService(JbpmServicesPersistenceManager pm)`
`protected void` | `configureUserGroupLifeCycleManagerDecorator(JbpmServicesPersistenceManager pm, LifeCycleManager lifeCycleManager, UserGroupCallback userGroupCallback)`
`protected org.kie.internal.task.api.TaskQueryService` | `configureUserGroupQueryServiceDecorator(org.kie.internal.task.api.TaskQueryService queryService, UserGroupCallback userGroupCallback)`
`protected org.kie.internal.task.api.TaskInstanceService` | `configureUserGroupTaskInstanceServiceDecorator(org.kie.internal.task.api.TaskInstanceService instanceService, UserGroupCallback userGroupCallback)`
`HumanTaskConfigurator` | `contentService(org.kie.internal.task.api.TaskContentService contentService)`
`protected DeadlinesDecorator` | `createDeadlinesDecorator(JbpmServicesPersistenceManager pm, org.kie.internal.task.api.TaskQueryService queryService, org.kie.internal.task.api.TaskDeadlinesService deadlinesService, SubTaskDecorator subTaskDecorator)`
`protected SubTaskDecorator` | `createSubTaskDecorator(JbpmServicesPersistenceManager pm, org.kie.internal.task.api.TaskInstanceService instanceService, org.kie.internal.task.api.TaskQueryService queryService)`
`HumanTaskConfigurator` | `deadlinesService(org.kie.internal.task.api.TaskDeadlinesService deadlinesService)`
`HumanTaskConfigurator` | `entityManagerFactory(javax.persistence.EntityManagerFactory emf)`
`TaskService` | `getTaskService()`
`HumanTaskConfigurator` | `identityService(org.kie.internal.task.api.TaskIdentityService identityService)`
`HumanTaskConfigurator` | `instanceService(org.kie.internal.task.api.TaskInstanceService instanceService)`
`HumanTaskConfigurator` | `lifeCycleManager(LifeCycleManager lifeCycleManager)`
`HumanTaskConfigurator` | `persistenceManager(JbpmServicesPersistenceManager pm)`
`HumanTaskConfigurator` | `queryService(org.kie.internal.task.api.TaskQueryService queryService)`
`HumanTaskConfigurator` | `transactionManager(JbpmServicesTransactionManager tm)`
`HumanTaskConfigurator` | `userGroupCallback(UserGroupCallback userGroupCallback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HumanTaskConfigurator

    public HumanTaskConfigurator()

Method Detail

### transactionManager

    public HumanTaskConfigurator transactionManager(JbpmServicesTransactionManager tm)

### entityManagerFactory

    public HumanTaskConfigurator entityManagerFactory(javax.persistence.EntityManagerFactory emf)

### persistenceManager

    public HumanTaskConfigurator persistenceManager(JbpmServicesPersistenceManager pm)

### queryService

    public HumanTaskConfigurator queryService(org.kie.internal.task.api.TaskQueryService queryService)

### identityService

    public HumanTaskConfigurator identityService(org.kie.internal.task.api.TaskIdentityService identityService)

### adminService

    public HumanTaskConfigurator adminService(org.kie.internal.task.api.TaskAdminService adminService)

### contentService

    public HumanTaskConfigurator contentService(org.kie.internal.task.api.TaskContentService contentService)

### deadlinesService

    public HumanTaskConfigurator deadlinesService(org.kie.internal.task.api.TaskDeadlinesService deadlinesService)

### instanceService

    public HumanTaskConfigurator instanceService(org.kie.internal.task.api.TaskInstanceService instanceService)

### lifeCycleManager

    public HumanTaskConfigurator lifeCycleManager(LifeCycleManager lifeCycleManager)

### userGroupCallback

    public HumanTaskConfigurator userGroupCallback(UserGroupCallback userGroupCallback)

### getTaskService

    public TaskService getTaskService()

### configurePersistenceManager

    protected void configurePersistenceManager()

### configureTaskQueryService

    protected void configureTaskQueryService(JbpmServicesPersistenceManager pm)

### configureTaskIdentityService

    protected void configureTaskIdentityService(JbpmServicesPersistenceManager pm)

### configureTaskAdminService

    protected void configureTaskAdminService(JbpmServicesPersistenceManager pm)

### configureTaskContentService

    protected void configureTaskContentService(JbpmServicesPersistenceManager pm)

### configureTaskDeadlinesService

    protected void configureTaskDeadlinesService(JbpmServicesPersistenceManager pm)

### configureTaskInstanceService

    protected void configureTaskInstanceService(JbpmServicesPersistenceManager pm,
                                                org.kie.internal.task.api.TaskQueryService queryService)

### configureLifeCycleManager

    protected void configureLifeCycleManager(JbpmServicesPersistenceManager pm,
                                             org.kie.internal.task.api.TaskIdentityService identityService,
                                             org.kie.internal.task.api.TaskQueryService queryService,
                                             org.kie.internal.task.api.TaskContentService contentService)

### configureUserGroupLifeCycleManagerDecorator

    protected void configureUserGroupLifeCycleManagerDecorator(JbpmServicesPersistenceManager pm,
                                                               LifeCycleManager lifeCycleManager,
                                                               UserGroupCallback userGroupCallback)

### configureUserGroupQueryServiceDecorator

    protected org.kie.internal.task.api.TaskQueryService configureUserGroupQueryServiceDecorator(org.kie.internal.task.api.TaskQueryService queryService,
                                                                                                 UserGroupCallback userGroupCallback)

### configureUserGroupTaskInstanceServiceDecorator

    protected org.kie.internal.task.api.TaskInstanceService configureUserGroupTaskInstanceServiceDecorator(org.kie.internal.task.api.TaskInstanceService instanceService,
                                                                                                           UserGroupCallback userGroupCallback)

### createSubTaskDecorator

    protected SubTaskDecorator createSubTaskDecorator(JbpmServicesPersistenceManager pm,
                                                      org.kie.internal.task.api.TaskInstanceService instanceService,
                                                      org.kie.internal.task.api.TaskQueryService queryService)

### createDeadlinesDecorator

    protected DeadlinesDecorator createDeadlinesDecorator(JbpmServicesPersistenceManager pm,
                                                          org.kie.internal.task.api.TaskQueryService queryService,
                                                          org.kie.internal.task.api.TaskDeadlinesService deadlinesService,
                                                          SubTaskDecorator subTaskDecorator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.